Skip to main content
GET
Retrieve a Session config

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Path Parameters

session_config_id
string<sessionConfigId>
required

The Session config ID returned by the list endpoint or Dashboard.

Example:

"sc_123456789012"

Response

Session config retrieved.

id
string<sessionConfigId>
required

Stable public identifier of the Session config.

name
string
required

Project-unique display name.

description
string | null
required

Optional description of when the config should be used.

archived
boolean
required

Whether the config is archived.

config
object
required

Stored Session access policy using the same enable/disable wire shape accepted on create and update, with any require_approval lists.

created_at
string<date-time>
required

Creation time in ISO 8601.

updated_at
string<date-time>
required

Last update time in ISO 8601.